# frozen_string_literal: true

require 'development/toolbox/version'
require 'pathname'

# Development namespace
module Development
  # The Development Toolbox
  module Toolbox
    # @return [Pathname]
    def self.root
      @root ||= Pathname(__dir__).join('../..')
    end
  end

  autoload :Tasks, 'development/tasks'
end
