# frozen_string_literal: true

require 'yard'
require 'yard/rake/yardoc_task'
require 'rake/clean'

YARD::Rake::YardocTask.new :doc
CLEAN.include 'doc'
CLOBBER.include '.yardoc', '_yardoc'

namespace :doc do
  desc 'Run server watching file changes and updating docs'
  task :server do
    sh 'bin/yard', 'server', '--reload', '--cache'
  end
end
