# frozen_string_literal: true

namespace :docker do
  desc 'Build docker image'
  task :build, %i[image tag] do |_, args|
    args.with_defaults(image: Pathname(Dir.pwd).basename, tag: 'latest')
    sh "docker build -t #{args[:image]}:#{args[:tag]} ."
  end
end
